ALLEGRO_SHADER_PLATFORM(3)

NAME

ALLEGRO_SHADER_PLATFORM - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    typedef enum ALLEGRO_SHADER_PLATFORM ALLEGRO_SHADER_PLATFORM;

DESCRIPTION

The underlying platform which the ALLEGRO_SHADER(3) is built on top of, which dictates the language used to program the shader.

•   ALLEGRO_SHADER_AUTO

•   ALLEGRO_SHADER_GLSL - OpenGL Shading Language

•   ALLEGRO_SHADER_HLSL - High Level Shader Language (for Direct3D)

SINCE

5.1.0